.top-container {
    width: 320px;
    margin: 30px auto 0 auto;
    box-shadow: 0 0 15px 7px #00000040;
    padding: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-sizing: border-box;
    h1 {
        margin: 10px;
    }
    .auth-type {
        background-color: transparent;
        border: none;
        color: #666;
        font-size: 1rem;
        margin: 10px 0;
    }
    form {
        width: 260px;
        display: flex;
        align-items: center;
        flex-direction: column;
        gap: 10px;
        input {
            width: 100%;
        }
        button {
            width: 100%;
        }
    }
}